import { Meta, Canvas, Story, ArgsTable } from '@storybook/addon-docs/blocks';
import { defaultLayout } from '../.storybook/decorators';
import BlockCtas from './block-ctas';
import { addControls, initJsonKnobs } from '@/.storybook/helpers';

export const argTypes = {};

export const controls = {
  color: ['backgroundColor', 'copyColor'],
  number: [],
  json: ['items'],
};

<Meta title="CTAs" decorators={[defaultLayout]} component={BlockCtas} argTypes={addControls(argTypes, controls)} />

# CTAs

This module is primarily used on the business product pages.

It is used to show multiple CTA sections that each have a heading, copy and cta.

export const Template = (args, { argTypes }) => {
	initJsonKnobs(args, argTypes, controls.json);
  return {
    props: Object.keys(argTypes),
    components: { BlockCtas },
    template: '<block-ctas v-bind="$props" />',
  }
};

<Canvas withSource="none">
	<Story
		name="default"
		args={{
			id: 'random-id',
			backgroundColor: '#ffffff',
			copyColor: '#000000',
			items: [
				{
					heading: 'Ready to purchase Air Pro for your business?',
					copy: null,
					ctaVariant: 'Black',
					ctaLink: { url: '/healthcare-inquiries' },
					ctaText: 'Get a quote',
				},
				{
					heading: 'Only need a few devices for now?',
					copy:
						'<p>Order up to 10 Air Pro devices direct from our store page. Just enter your business at checkout.</p>',
					ctaVariant: 'Arrow',
					ctaLink: { url: '/healthcare-inquiries', target: '_blank' },
					ctaText: 'Get to store',
				},
			],
		}}
	>
		{Template.bind({})}
	</Story>
</Canvas>

## Vue Component Props

<ArgsTable of={BlockCtas} />
